/*exported NewsLetter*/
/*global Style, WrapperController, BootstrapForms, CommonController, document */

function NewsLetter() {
    'use strict';

    // Default properties
    this.showButton = true;
    this.joinButton = true;
    this.buttonPosition = 'right';

    this.button = new Style('Button');
    this.input = new Style("inputs");
    
    this.newsletterBtnText = "OK";
    this.placeholder = 'Enter your e-mail';

    WrapperController.make(this, NewsLetter);
}

$(document).on('controlDefined', function () {
    'use strict';
    CommonController.setCommon(NewsLetter, BootstrapForms);
});
